﻿@font-face {
    font-family: 'avenirheavy';
    src: url('/Content/fonts//Avenir-Heavy.woff2') format('woff2'), url('/Content/fonts/Avenir-Heavy.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'avenirStdBlack';
    src: url('/Content/fonts/AvenirLTStd-Black.woff2') format('woff2'), url('/Content/fonts/AvenirLTStd-Black.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'avenirStdBook';
    src: url('/Content/fonts/AvenirLTStd-Book.woff2') format('woff2'), url('/Content/fonts/AvenirLTStd-Book.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'bebas_neueregular';
    src: url('/Content/fonts/bebasneue-regular-webfont.woff2') format('woff2'), url('/Content/fonts/bebasneue-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

.dx-theme-generic-typography {
    font-size: 16px !important;
    line-height: 1.5;
}

p {
    margin-bottom: 1.6rem;
}

.grid {
    padding: 0px;
    max-width: 100%;
    overflow: hidden;
}
#fondoLogin {
    width: 100%;
    height: 100vh;
    background-size: cover;
    background-color:darkgray;
}

#marcoLogin {
    width: calc(100% - 50px);
    height: calc(100% - 50px);
    margin: 25px;
    border-radius: 10px;
    background-color: white;
    overflow: hidden;
}

.row {
    padding: 0;
    /*overflow: hidden;*/
    --bs-gutter-x: 0;
    --bs-gutter-y: 0;
}


.login-div { 
    margin-top:-60px;
    width: 70%;
}

    .login-div .input-group {
        margin-bottom: 20px;
    }

        .login-div .input-group .input-group-text {
            background: transparent;
            /* color: #ffffff !important;*/
            border: 0;
            border-bottom: 1px solid #000000;
            border-radius: 0;
            padding-left: 0;
            font-size: 1.6rem;
        }

        .login-div .input-group .form-control {
            background: transparent;
            /*  color: #ffffff !important;*/
            border: 0;
            border-bottom: 1px solid #000000;
            border-radius: 0;
            font-size: 1.6rem;
        }

            .login-div .input-group .form-control::placeholder {
                /*  color: #ffffff;*/
            }

        .login-div .input-group.faena select option {
            color: #000000;
        }

    .login-div .chevron_down_login {
        height: 32px;
        width: 32px;
        position: absolute;
        right: 0;
        color: #ffffff;
        fill: #ffffff;
        padding: 6px 8px 0px 8px;
    }

        .login-div .chevron_down_login svg {
            color: #ffffff;
            fill: #ffffff;
        }


#loginBtn,
#entrarBtn,
#limpiarBtn {
    background-color: #000000;
    color: #ffffff;
    max-width: 80px;
    min-width: 80px;
    margin: auto;
    margin-top: 40px;
    padding: 6px 10px 8px 10px;
    font-size: 1.8rem;
    border-radius: 6px;
    border: 2px solid #000000;
    float: left;
}

    #loginBtn:hover,
    #limpiarBtn:hover {
        cursor: pointer;
    }

#loginBtn {
    margin-left: 18%;
    margin-right: 4%;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}


.nav {
    grid-area: sidebar;
    background-color: #000000;
    position: relative;
    border-right: 5px solid #00CFFF;
}

main {
    grid-area: main;
    /*  background: #b2ee94;    */
    display: flex; /* Activa Flexbox */
    align-items: flex-start; /* Alinea los elementos en la parte superior */
    
    position: relative; /* Permite posicionar elementos internos */
}

.areauser {
    grid-area: areauser;
    /* background: #ff8983;  position: relative;  */
    width: 100%; 
    display: flex;
    justify-content: center;
    align-items: center; 
}

.logo-minera-img {
    width: 200px;
    margin: 10%;
    position: relative;
}

.logo-opendat-img {
    position: absolute;
    left: 50%;
    bottom: 10%;
    transform: translateX(-50%);
}

.logo-ecometales-img {
    height: 120px;
    margin-top: 2%;
    position: absolute;
    right: 120px;
}
.logo-container-app-movil {
    flex-shrink: 0; 
    max-width: 50%; 
}

.responsive-logo-app-movil {
    max-height: 240px;
    height: 240px;
    margin-top: 2%;
    margin-left: 2%;
    vertical-align: top;
}



.layout {
    display: grid;
    /* gap: 0.25rem;*/
    grid-template-rows: 16rem 14rem 1fr;
    grid-template-columns: 1fr;
    grid-template-areas:
        'sidebar'
        'main' 'areauser';
    height: 100vh;
}



@media (max-width: 991.98px) {
    .logo-container-app-movil {
        display: none;  
    }
}

@media (max-height: 600px) {
    .logo-container-app-movil {
        display: none;  
    }
    .divlogopc {
        display: none;
    } 
}


@media (min-width: 992px) {
    .layout {
        display: grid;
        grid-template-rows: 15rem auto;
        grid-template-columns: 25rem 60rem 60rem;
        grid-template-areas:
            'sidebar main main'
            'sidebar areauser divlogopc';
    }
}
@media (min-width: 1600px) {
    .layout {
        display: grid;
        grid-template-rows: 15rem auto;
        grid-template-columns: 25rem 60rem auto;
        grid-template-areas:
            'sidebar main main'
            'sidebar areauser divlogopc';
    }
}
/*@media (min-width: 601px) and (max-width: 992px) {


}*/

@media (max-width: 992px) {
    .logo-minera-img {
        width: 200px;
        left: 20px;
        margin: 0%;
        position: absolute;
        justify-self: start;
    }

    .logo-opendat-img {
        width: 120px;
        top: 20px;
        right: 20px;
        justify-self: end;
        transform: translateX(0%);
    }

    .logo-ecometales-img {
        position: unset;
        right: 0px;
    }

    main {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .nav {
        display: grid;
        grid-template-columns: 1fr 1fr;
        align-items: center; 
    } 
}
.divlogopc {
    grid-area: divlogopc;
    width: 90%;
    max-width: 700px;
    background-image: url("/Images/Login/job_pc.png");
    background-repeat: no-repeat;
    background-position: center;
    background-position: 25% 25%;
    background-size: contain;
    text-align: end;
    justify-content: flex-end;
} 
 